Passer au contenu principal
POST
/
creation
/
tests
/
import-csv
/
v2
POST TestsImportCsvV2View
curl --request POST \
  --url https://dev.api.formapulse.formafoot.fr/creation/tests/import-csv/v2 \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'filename=<string>' \
  --form 'column_player=<string>' \
  --form 'column_date=<string>' \
  --form 'test_mappings={
  "column_name": "<string>",
  "test_type": "existing",
  "exercice_id": 123,
  "test_name": "<string>",
  "type_mesure": "<string>",
  "unite": "<string>"
}' \
  --form 'player_mappings={}' \
  --form 'rows={}' \
  --form config_name= \
  --form save_config=true
{}

Documentation Index

Fetch the complete documentation index at: https://formapulse.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Autorisations

Authorization
string
header
requis

Token JWT prefixe par 'JWT '. Exemple : Authorization: JWT eyJ0eXAiOi.... Token obtenu via POST /auth/jwt/create (djoser).

Corps

multipart/form-data

POST /tests/import-csv-v2

filename
string
requis
Maximum string length: 300
column_player
string
requis
Maximum string length: 200
column_date
string
requis
Maximum string length: 200
test_mappings
TestMappingInput · object[]
requis
Minimum array length: 1
player_mappings
Player Mappings · object
requis
rows
Rows · object[]
requis
Minimum array length: 1
config_name
string | null
défaut:""
Maximum string length: 100
save_config
boolean
défaut:true

Réponse

Reponse de succes

The response is of type object.